%define version 0.7.3
%define release %mkrel 2

Summary: 	Collection of simple PIN or passphrase entry dialogs
Name: 		pinentry
Version: 	%{version}
Release: 	%{release}
Source0: 	ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.gz
Source1:	%{SOURCE0}.sig
Patch0:		pinentry-0.7.3-fix-info-header.patch
License: 	GPL
Group: 		System/Kernel and hardware
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: 		http://www.gnupg.org/

Requires(post): info-install
Requires(preun):info-install

BuildRequires:	libgtk+2.0-devel
#BuildRequires:	libcap-devel
BuildRequires:	ncurses-devel
BuildRequires:	qt3-devel

%description 
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

%package	gtk
Summary:	GTK+ interface of pinentry
Group: 		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	gtk
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides GTK+ interface of the dialog.

%package	qt
Summary:	QT interface of pinentry
Group: 		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	qt
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides QT interface of the dialog.

%prep
%setup -q
%patch0 -p1 -b .headerfix

%build
%configure2_5x \
	--disable-pinentry-gtk \
	--enable-pinentry-gtk2 \
	--disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#Remove link we will use update alternative
rm -f %{buildroot}%{_bindir}/pinentry

%post 
%_install_info %{name}.info
update-alternatives --install /usr/bin/pinentry pinentry /usr/bin/pinentry-curses 10

%preun 
%_remove_install_info %{name}.info
update-alternatives --remove pinentry /usr/bin/pinentry-curses

%post gtk
update-alternatives --install /usr/bin/pinentry pinentry /usr/bin/pinentry-gtk-2 20

%postun gtk
update-alternatives --remove pinentry /usr/bin/pinentry-gtk-2

%post qt
update-alternatives --install /usr/bin/pinentry pinentry /usr/bin/pinentry-qt 30

%postun qt
update-alternatives --remove pinentry /usr/bin/pinentry-qt

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%{_bindir}/pinentry-curses
%{_infodir}/*.info*

%files gtk
%defattr(-,root,root)
%_bindir/pinentry-gtk-2

%files qt
%defattr(-,root,root)
%{_bindir}/pinentry-qt


%changelog
* Mon Sep 10 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.3-2mdv2008.0
+ Revision: 84038
- fix broken info entry (P0, should fix #32534)
- $QTLIB is already set by /etc/profile.d/qt3.sh, so don't set it in spec

* Thu Jul 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.3-1mdv2008.0
+ Revision: 55628
- correct configure options
- nuke rpath
- update to the latest version
- Import pinentry



* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.7.2-6mdv2007.0
- Rebuild

* Fri Jul 28 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-5
- Add patch to disable gtk-1.2 support

* Mon Jun 19 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-4
- Add patch from Raphal Gertz to use update-alternative 

* Fri Feb 24 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.2-3mdk
- Add Requires(post|preun): fix ticket #17416
- use mkrel

* Sat May 28 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7.2-2mdk
- add BuildRequires: libgtk+2.0-devel

* Tue May 17 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-1mdk
- 0.7.2

* Mon Mar 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.7.1-4mdk
- fix build on lib64 platforms

* Tue Mar 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-3mdk
- Rebuild

* Sat Jun 19 2004 Abel Cheung <deaddog@deaddog.org> 0.7.1-2mdk
- Rebuild with new gcc

* Thu May 20 2004 Abel Cheung <deaddog@deaddog.org> 0.7.1-1mdk
- New version
- Don't build against libcap

* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 0.7.0-1mdk
- New version
- Enable all interfaces

* Fri Nov 14 2003 Florin <florin@mandrakesoft.com> 0.6.9-2mdk
- rebuild

* Wed Apr 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.9-1mdk
- Update version

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.8-1mdk
- Update and fix spec file thanks to <fabrice-marie-sec@ifrance.com>

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.6-2mdk
- Fix link as report Jason Straight <jason@JeetKuneDoMaster.net>

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.6-1mdk
- update spec file from Fabrice MARIE <fabrice-marie-sec@ifrance.com>

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.5-1mdk
- Initial package
